Bug 1030479 - katello cli command 'version' fails
katello cli command 'version' fails
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Tazim Kolhar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 09:19 EST by Tazim Kolhar
Modified: 2016-04-25 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-01 09:33:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Client.log (5.11 KB, text/plain)
2013-11-14 09:19 EST, Tazim Kolhar
no flags Details

  None (edit)
Description Tazim Kolhar 2013-11-14 09:19:58 EST
Created attachment 823970 [details]
Client.log

Description of problem:
katello cli command 'version' fails

Version-Release number of selected component (if applicable):
# rpm -qa  | grep katello
pulp-katello-plugins-0.2-1.el6.noarch
katello-glue-elasticsearch-1.5.1-1.git.127.d4a8edb.el6.noarch
katello-configure-foreman-1.5.1-1.git.16.4843203.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-agent-1.5.1-1.el6.noarch
katello-repos-1.5.1-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-certs-tools-1.5.1-1.el6.noarch
katello-common-1.5.1-1.git.127.d4a8edb.el6.noarch
katello-selinux-1.5.1-1.el6.noarch
katello-glue-pulp-1.5.1-1.git.127.d4a8edb.el6.noarch
katello-cli-common-1.5.3-1.git.18.9219a62.el6.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-1.el6.noarch
katello-all-1.5.1-1.git.127.d4a8edb.el6.noarch
ruby193-rubygem-katello_api-0.0.3-2.el6.noarch
ruby193-rubygem-foreman-katello-engine-0.0.19-1.el6.noarch
katello-configure-1.5.1-1.git.16.4843203.el6.noarch
signo-katello-0.0.23-1.el6.noarch
katello-glue-candlepin-1.5.1-1.git.127.d4a8edb.el6.noarch
katello-1.5.1-1.git.127.d4a8edb.el6.noarch
katello-cli-1.5.3-1.git.18.9219a62.el6.noarch
katello-foreman-all-1.5.1-1.git.127.d4a8edb.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch


How reproducible:
everytime

Steps to Reproduce:
1.# katello -u admin -p **** version
error: coercing to Unicode: need string or buffer, NoneType found (more in the log file /var/log/katello/client.log)

2.
3.

Actual results:
cli command execution fails

Expected results:
displays appropriate version

Additional info:
Comment 1 RHEL Product and Program Management 2013-11-14 09:36:31 EST
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 4 Bryan Kearney 2014-05-01 09:33:01 EDT
This command no longer lives in hammer... closing it out.

Note You need to log in before you can comment on or make changes to this bug.